import React, { useMemo } from 'react';
import { Layout, Space } from 'antd';
import classNames from 'classnames';
import Logo from './Logo';
import Title from './Title';
import User from './User';
import Exit from './Exit';

const { Header } = Layout;

export default (props) => {

  const className = useMemo(() => classNames({
    'layout-header': true,
    'light': props.theme === 'light',
  }), [props.theme]);


  return (
    <Header className={className}>
      <Logo />
      <div className="header-content">
        <Title />
      </div>
      <Space>
        <User />
        <Exit />
      </Space>
    </Header>
  )
}
