import React, { useEffect, useRef, useMemo, useState } from 'react';
import { Layout, Spin } from 'antd';
import { useLocation } from "react-router-dom";
import { useModel } from '@/store';
import RequireLogin from './components/RequireLogin';
import SiderBar from './components/SiderBar';
import Header from './components/Header';
import Container from './components/Container';
import HtmlTitle from './components/HtmlTitle';
import useReady from './useReady';

import './style.less';

export default (props) => {
  const { theme } = useModel('system');
  const { setLocation } = useModel('route');
  const { user, getCurrent } = useModel('user');

  // const isReady = useReady(user)
  // const isReady = true

  const location = useLocation();

  useEffect(() => {
    if (!user) {
      getCurrent()
    }
  }, []);

  useEffect(() => setLocation(location), [location]);

  return (
    <Spin spinning={!user} size="large">
      <HtmlTitle />
      <RequireLogin>
        <div className='main-layout'>
          <Header theme={theme} />
          <Layout>
            <SiderBar theme={theme} />
            <Container />
          </Layout>
        </div>
      </RequireLogin>
    </Spin>
  );
}
