import {
  AppstoreOutlined,
  ContainerOutlined,
  DesktopOutlined,
  MailOutlined,
  MenuFoldOutlined,
  MenuUnfoldOutlined,
  PieChartOutlined,
} from '@ant-design/icons';
import AuthLayout from "@/layouts/AuthLayout";
import Login from '@/pages/login';
import Page404 from '@/pages/404';
import Home from "@/pages/sample/home";
import BasicForm from '@/pages/sample/form';
import BasicTable from '@/pages/sample/table';

/**
 * meta 用来扩展自定义数据数据
 * {
 *    title: 用于页面或者菜单的标题, 没有此字段, 菜单不会显示
 *    hiddenInMenu: 布尔值, 如果为 false, 菜单不会显示
 * }
 */

export default [
  {
    path: "/",
    element: <AuthLayout />,
    children: [
      {
        index: true,
        element: <Home />,
      },
      {
        path: "home",
        element: <Home />,
        meta: {
          title: '首页',
          icon: <DesktopOutlined />,
        },
      },
      {
        path: "form",
        element: <BasicForm />,
        meta: {
          title: '表单',
          icon: <AppstoreOutlined />,
        },
      },
      {
        path: "table",
        element: <BasicTable />,
        meta: {
          title: '表格',
          icon: <ContainerOutlined />,
        },
      },
      {
        path: '*',
        element: <Page404 />
      }
    ],
  },
  {
    path: '/login',
    element: <Login />,
  },
  {
    path: '*',
    element: <Page404 />
  }
]
