import { useState, useRef, useEffect } from "react";
import { getRouteArr } from '@/routes/menus';

export default function useRoute() {
  const routesRef = useRef();
  const [location, setLocation] = useState({});
  const [route, setRoute] = useState();
  const [title, setTitle] = useState();

  const { pathname, search } = location;

  // 监控 route 改变
  useEffect(() => {
    // 获取当前路由
    if (!routesRef.current || !routesRef.current.length) {
      routesRef.current = getRouteArr();
    }
    const current = (routesRef.current || []).filter(x => x.path === pathname)[0];
    setRoute(current);

    //
    const { title } = current && current.meta || {}
    setTitle(title);
  }, [pathname, search]);

  return {
    route,
    title,
    setLocation,
  }
}
