
import { useEffect } from "react";
import { useLocation } from "react-router-dom";
import { useModel } from '@/store';
import useRoute from './useRoute';

export default function useTitle(newTitle) {
  
  const { app, title, setTitle} = useModel('system');
  const currentRoute = useRoute();

  const { pathname, search } = useLocation();
  const titleTemplate = `%s - ${app.fullName}`
  const pageTitle = currentRoute && currentRoute.meta ? currentRoute.meta.title : undefined;

  // route change, reset title
  useEffect(() => {
    setTitle();
  }, [pathname, search]);
  
  useEffect(() => {
    setTitle(newTitle || pageTitle);
  }, [newTitle, pageTitle]);

  return [title, titleTemplate, app.fullName];
}
